Confirm TEE wallet delegation AND drain any pending welcome airdrop
curl --request POST \
--url https://api.totalis.trade/v1/wallet/enable-trading \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totalis.trade/v1/wallet/enable-trading"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totalis.trade/v1/wallet/enable-trading', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.totalis.trade/v1/wallet/enable-trading",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.totalis.trade/v1/wallet/enable-trading"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.totalis.trade/v1/wallet/enable-trading")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.totalis.trade/v1/wallet/enable-trading")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"ready": true,
"delegated": true,
"address": "<string>",
"wallet_id": "<string>",
"airdrop": {
"success": true,
"amount": 123
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication"
}
}Funds and vault
Enable trading
Check that wallet delegation is in place and return its status. Delegation itself is granted in the app. On older accounts, also credits any pending welcome airdrop.
POST
/
v1
/
wallet
/
enable-trading
Confirm TEE wallet delegation AND drain any pending welcome airdrop
curl --request POST \
--url https://api.totalis.trade/v1/wallet/enable-trading \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totalis.trade/v1/wallet/enable-trading"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totalis.trade/v1/wallet/enable-trading', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.totalis.trade/v1/wallet/enable-trading",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.totalis.trade/v1/wallet/enable-trading"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.totalis.trade/v1/wallet/enable-trading")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.totalis.trade/v1/wallet/enable-trading")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"ready": true,
"delegated": true,
"address": "<string>",
"wallet_id": "<string>",
"airdrop": {
"success": true,
"amount": 123
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication"
}
}Was this page helpful?

